Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452364 - iwl4965 doesn't work.on T61.
Summary: iwl4965 doesn't work.on T61.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: John W. Linville
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-21 14:17 UTC by David Woodhouse
Modified: 2008-12-11 18:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-11 18:51:09 UTC


Attachments (Terms of Use)
dmesg (deleted)
2008-07-25 23:02 UTC, David Woodhouse
no flags Details

Description David Woodhouse 2008-06-21 14:17:44 UTC
I'm using a 32-bit Fedora 9 install on the T61, because it was all I had to
hand. I'll try x86_64 when it finishes downloading, in a day or two.

Upon loading iwl4965.ko (with debug=0xfffffff) I get the following:

iwl4965: Intel(R) Wireless Wifi Link 4965AGN driver for Linux, version 1.2.26kds
iwl4965: Copyright(c) 2003-2008 Intel Corporation
ACPI: PCI Interrupt 0000:03:00.0[A] -> GSI 17 (level, low) -> IRQ 17
PCI: Setting latency timer of device 0000:03:00.0 to 64
ieee80211 phy1: U iwl4965_pci_probe pci_resource_len = 0x00002000
ieee80211 phy1: U iwl4965_pci_probe pci_resource_base = f8f44000
iwl4965: Detected Intel Wireless Wifi Linux 4965AGN REV=0x4
ieee80211 phy1: U __iwl_set_bit set_bit(0x00000100, 0x20000000) = 0x27000200
ieee80211 phy1: U __iwl_set_bit set_bit(0x00000024, 0x00000004) = 0x080033D4
ieee80211 phy1: U __iwl_poll_bit poll_bit(0x00000024, 0x00000001, 0x00000001) -
timeout- drivers/net/wireless/iwlwifi/iwl-4965.c 501
ieee80211 phy1: U iwl4965_apm_init Failed to init the card
ieee80211 phy1: U iwl4965_pci_probe Failed to init APMG
ACPI: PCI interrupt for device 0000:03:00.0 disabled
iwl4965: probe of 0000:03:00.0 failed with error -110


This takes a few seconds after 'modprobe iwl4965'. During that time, it doesn't
actually seem to have registered on IRQ 17.

Comment 1 David Woodhouse 2008-07-25 23:02:47 UTC
Created attachment 312692 [details]
dmesg

sometimes it fails differently... after a power cycle, it seems to fare a
_little_ better but then still fails.

Comment 2 David Woodhouse 2008-07-25 23:05:19 UTC
In the above, NetworkManager does seem to have got an IP with DHCP, but then it
failed before I could do anything else (and I removed the module).

Loading the module again gives me the originally-reported failure mode, which is
also what I get after a reboot from Windows.


Comment 3 John W. Linville 2008-09-09 19:04:17 UTC
Are you still experiencing this issue?  I've been using -108 on a t61 w/ iwl4965 quite a bit lately w/o problems.

Comment 4 David Woodhouse 2008-09-09 20:24:23 UTC
Yes, although I'm a little inclined to suspect hardware problems. Windows doesn't work after a reboot either. Although Windows _does_ work after a power cycle. Most of the time.

Comment 5 David Woodhouse 2008-09-14 00:37:52 UTC
Hm. I just saw this on a completely different machine (MacBookPro), with iwl5300. This is very similar to one of the failure modes I've seen on the T61:

Sep 13 16:58:45 macbook kernel: firmware: requesting iwlwifi-5000-1.ucode
Sep 13 16:58:49 macbook kernel: iwl4965: START_ALIVE timeout after 4000ms.

This happened after a yum update installed kernel-2.6.26.3-29.fc9.x86_64 and iwl5000-firmware-5.4.A.11-2.noarch -- it was working before with kernel-2.6.25.14-108.fc9.x86_64 and iwl5000-firmware-5.4.A.11-2.noarch, and works again after I downgrade them both. I'll downgrade one at a time to check which one was at fault.

Comment 6 John W. Linville 2008-10-29 15:19:22 UTC
Is this an issue with rawhide kernels?

Comment 7 David Woodhouse 2008-11-04 14:49:47 UTC
No, rawhide seems to work. 2.6.26.6-79.fc9 still broken on my MacBook though:
iwl4965: START_ALIVE timeout after 4000ms.

Comment 8 Peter Åstrand 2008-11-08 21:24:53 UTC
Same problem on Dell E6400. Downgrading to http://mirror.unl.edu/fedora/linux/updates/testing/8/i386/iwl5000-firmware-5.4.A.11-2.noarch.rpm didn't work (can this be done with yum? how?), using kernel 2.6.26.6-79.fc9.x86_64. Downgrading to kernel-2.6.25.14-108.fc9.x86_64.rpm didn't help either - same error message about "START_ALIVE timeout after 4000ms.".


Note You need to log in before you can comment on or make changes to this bug.